<?xml version="1.0" encoding="UTF-8"?>
<!-- Logback Configuration.  -->
<configuration debug="false">
    <property name="pattern" value="[%d{yyyy-MM-dd HH:mm:ss.SSS}] [%thread] %-5level [%C.%M:%L] %msg%n"/>

    <appender name="STDOUT" class="ch.qos.logback.core.ConsoleAppender">
        <target>System.out</target>
        <encoding>UTF-8</encoding>
        <encoder>
            <pattern>${pattern}</pattern>
        </encoder>
    </appender>

    <appender name="FILE" class="ch.qos.logback.core.rolling.RollingFileAppender">
        <file>${catalina.home}/logs/stmms.log</file>
        <append>true</append>
        <encoder>
            <pattern>${pattern}</pattern>
        </encoder>
        <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
            <fileNamePattern>${catalina.home}/logs/stmms-%d{yyyy-MM-dd}.log</fileNamePattern>　　　
            <maxHistory>30</maxHistory>
        </rollingPolicy>
    </appender>
    
    <!--
    <logger name="cn.com.qmth.stmms" level="INFO" additivity="false">
        <appender-ref ref="FILE"/>
    </logger>
    -->

    <root level="INFO">
	<appender-ref ref="FILE"/>
        <appender-ref ref="STDOUT"/>
    </root>
</configuration>
